Name:		mpg123
Version:	1.16.0
Release:	1%{?dist}
Summary:	This is a console based decoder/player for mono/stereo mpeg audio files, probably more familiar as MP3 or MP2 files.

Group:		Application/Multimedia
License:	LGPLv2.1
URL:		http://sourceforge.net/projects/mpg123
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.bz2.sig

BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libtool
BuildRequires:	libtool-ltdl-devel
BuildRequires:	arts-devel
BuildRequires:	jack-audio-connection-kit-devel
%if 0%{?rhel} >= 6 || 0%{?fedora}
BuildRequires:	openal-soft-devel
%else
BuildRequires:	openal-devel
%endif
BuildRequires:	alsa-lib-devel
BuildRequires:	portaudio-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	SDL-devel

%description
This is a console based decoder/player for mono/stereo mpeg audio files, probably more familiar as MP3 or MP2 files.
It's focus is speed. We still need some low-end benchmarks for the current version, but playback should be possible even on i486 CPUs. There is hand-optimized assembly code for i586, MMX, 3DNow, SEE and 3DNowExt instructions, while generic code runs on a variety of different platforms and CPUs.
It can play MPEG1.0/2.0/2.5 layer I, II, II (1, 2, 3;-) files (VBR files are fine, too) and produce output on a number of different ways: raw data to stdout and different sound systems depending on your platform (see INSTALL).
Most tested are Linux on x86 and Alpha/AXP and MacOSX on ppc as the environments the current developers work in.
We are always thankful for user reports on success (and failure) on any platform!

%package devel
Summary:	Libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
%{summary}.

%package output-alsa
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-alsa
%{summary}.

%package output-arts
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-arts
%{summary}.

%package output-jack
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-jack
%{summary}.

%package output-openal
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-openal
%{summary}.

%package output-portaudio
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-portaudio
%{summary}.

%package output-pulse
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-pulse
%{summary}.

%package output-sdl
Summary:	Output module.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description output-sdl
%{summary}.

%prep
%setup -q


%build
%configure \
	--enable-shared \
	--disable-static \
	--with-optimization=4

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f doc/Makefile*
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS* README TODO doc/
%{_bindir}/mpg123
%{_bindir}/mpg123-strip
%{_bindir}/mpg123-id3dump
%{_libdir}/libmpg123.so.*
%{_libdir}/mpg123/output_dummy.*
%{_libdir}/mpg123/output_oss.*
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/mpg123.h
%{_libdir}/libmpg123.so
%{_libdir}/pkgconfig/libmpg123.pc

%files output-alsa
%{_libdir}/mpg123/output_alsa.*

%files output-arts
%{_libdir}/mpg123/output_arts.*

%files output-jack
%{_libdir}/mpg123/output_jack.*

%files output-openal
%{_libdir}/mpg123/output_openal.*

%files output-portaudio
%{_libdir}/mpg123/output_portaudio.*

%files output-pulse
%{_libdir}/mpg123/output_pulse.*

%files output-sdl
%if 0%{?rhel} >= 6 || 0%{?fedora}
%{_libdir}/mpg123/output_sdl.*
%else
%{_libdir}/mpg123/output_esd.*
%endif

%changelog
* Wed Dec  4 2013 momo-i <webmaster@momo-i.org> - 1.16.0-1
- Update to 1.16.0

* Fri Apr 12 2013 momo-i <webmaster@momo-i.org> 1.15.3-1
- Initial rpm release.
